Bug 33084 - Optional certificate validity period check on SSLVerifyClient
Summary: Optional certificate validity period check on SSLVerifyClient
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_ssl (show other bugs)
Version: 2.0-HEAD
Hardware: All All
: P2 enhancement (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
Depends on:
Blocks:
 
Reported: 2005-01-13 17:57 UTC by Nuno Ponte
Modified: 2018-11-07 21:08 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nuno Ponte 2005-01-13 17:57:15 UTC
It would be useful to have an additional level on the SSLVerifyClient directive
to let an expired client certificate (e.g., out of it's validity period) to be
able to authenticate.

This could be used for certificate renewal services, where a user that missed to
do his certificate renewal before the expiration date, could still access to the
PKI RA/CA renewal service. As an extra feature, it would also be nice to set a
maximum period to allow the access (a "tolerance").
Comment 1 Paul Querna 2005-06-03 01:18:35 UTC
Could this be done via SSLVerify?
Comment 2 Joe Orton 2005-06-03 10:41:12 UTC
I presume you mean SSLRequire - not really; you can get half way there using
"SSLVerifyClient optional" and then perhaps doing some extra checking in
SSLRequire, but there's no way to separate the "is this c.cert signed by a valid
CA" and "is this c.cert inside its validity period" results, which are still
important.

2.1 does have the new "_REMAIN" variables which allow you to determine that a
c.cert is *about* to expire, but that doesn't help once it *has* expired.
Comment 3 William A. Rowe Jr. 2018-11-07 21:08:58 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.